Cтавим быстрое ядро для Убунту 12.04

Стандартный

быстрое ядро в убунту

Решил сегодня установить на Убунту 12.04 быстрое ядро Liquorix. Скажу сразу, что получилось не сразу и помощь частично пришла с популярного форума linuxforum.ru от модератора Newzenon. После установки я опять увидел всю мощь данного ядрышка. Если на стандартном ядре 3.2 скорость кодирования файла avi в dvd формат составила менее 2, то после установки ядра Liquorix 3.3 данный файл был перекодирован со скоростью почти 3. Итак начнем.

Заходим в менеджер пакетов Synaptic. У кого не установлен выполняем команду в Терминале:

sudo apt-get install synaptic

Далее запускаем Synaptic через Главное меню введя его название в строке или Приложения — Системные — Synaptic

Вводим Ваш пароль. Далее: Настройки — Репозитории — Другое ПО

 

synaptic

 

Далее жмем Добавить и вводим 

deb http://liquorix.net/debian sid main

Жмем — Добавить источник.




 

Теперь в Терминале:

sudo apt-get update

В конце мы увидим предупреждение:

W: Ошибка GPG: http://liquorix.net sid InRelease: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY 3EFF4F272FB2CD80

Выполняем в Терминале:

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 3EFF4F272FB2CD80

Далее:

sudo apt-get install '^liquorix-([^-]+-)?keyring.?'

Установка ядра для (32bit):

sudo apt-get install linux-headers-liquorix-686 linux-image-liquorix-686

Установка ядра для (64bit):

sudo apt-get install linux-headers-liquorix-amd64 linux-image-liquorix-amd64

По ходу установки меня 2 раза предупреждал Терминал, что я устанавливаю файлы на свой страх и риск. На что я соглашался и жал кнопку Y. В итоге система закачала более 170Мб и установила нужное мне ядро. 

 

 

Удачи Вам!

p.s. Статья от Newzenon. Первоисточник так сказать.

 

Быстрое ядро в Убунту

Диспетчер устройств Убунту

Добавляем ключи репозиториев

Как я удалял старые ядра


16 Comments

  1. При данной операции теряются ли настройки системы, установленные программы и прочее?

    • Абсолютно не увидел ни каких отклонений. Все работает как прежде, только гораздо быстрее.

  2. Поставил это ядро.. сломался mount 🙂

    Раньше монтировал на стандартном 3.2 ядре sudo mount -t cifs //192.168.0.1/Librus /home/moonsoldier/mediaserver/19216801/Librus -o user=moonsoldier,password=123456,iocharset=utf8 теперь пишет ошибку:

    #mount: wrong fs type, bad option, bad superblock on //192.168.0.1/Librus,
    missing codepage or helper program, or other error
    (for several filesystems (e.g. nfs, cifs) you might
    need a /sbin/mount.<type> helper program)
    В некоторых случаях полезная информация может быть
    найдена в syslog — попробуйте dmesg | tail или что-то
    в этом роде

    Пришлось монтировать по другому

    sudo mount //192.168.0.1/Librus /home/moonsoldier/mediaserver/19216801/Librus -o user=moonsoldier,password=123456,dir_mode=0777,file_mode=0777,iocharset=utf8

    вобщем непонятки какие то…

  3. ни в какую не находит http://liquorix.net
    до ошибки дело не доходит, по ссылке 2011 года аналогичная картина
    Ош http://liquorix.net sid/main Sources
    403 Forbidden
    Ош http://liquorix.net sid/main i386 Packages
    403 Forbidden
    Ош http://liquorix.net unstable/main i386 Packages
    403 Forbidden
    Ош http://liquorix.net unstable/past i386 Packages
    403 Forbidden

    W: Не удалось получить http://liquorix.net/debian/dists/sid/main/source/Sources 403 Forbidden

    W: Не удалось получить http://liquorix.net/debian/dists/sid/main/binary-i386/Packages 403 Forbidden

    W: Не удалось получить http://liquorix.net/debian/dists/unstable/main/binary-i386/Packages 403 Forbidden

    W: Не удалось получить http://liquorix.net/debian/dists/unstable/past/binary-i386/Packages 403 Forbidden

  4. Не обновляет ядро на обновленную по самое нехочу 12.04
    Пишет после последней комманды следующее:
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    linux-headers-liquorix-amd64 : Зависит: linux-headers-3.11-9.dmz.1-liquorix-amd64 (= 3.11-10) но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    Что делать?

  5. Спасибо, конечно, но там именно этот случай не обсуждался. И поиск ничего по именно этой ошибке не находит на этих двух ресурсах. Хотя вопрос периодически возникает тут и там, особенно в местах перепечатки данного Вашего материала, например здесь http://how2.org.ua/%D0%B0%D0%B4%D0%BC%D0%B8%D0%BD%D0%B8%D1%81%D1%82%D1%80%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5/%D1%81%D1%82%D0%B0%D0%B2%D0%B8%D0%BC-%D0%BE%D0%BF%D1%82%D0%B8%D0%BC%D0%B8%D0%B7%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%BD%D0%BE%D0%B5-%D0%B4%D0%BB%D1%8F-%D0%B4%D0%B5%D1%81%D0%BA%D1%82%D0%BE%D0%BF%D0%B0-%D1%8F%D0%B4%D1%80%D0%BE-liquorix.html
    Но ответ никто дать не может.
    Выдвигалась версия о трудностях обновления ядра здесь http://www.linux.org.ru/forum/general/7650203#comment-8401806 (комментарий kovrik-a), вроде бы связанная с версией gss 4.6 в Убунте 12.04, но я поставил и версию 4.7, результат все тот же.
    Буду продолжать искать.

    • Дело в том, что когда ядро было еще версий 2.8-3.2, то тогда я явно видел всю мощь ядра от liquorix, но когда я установил себе ядро 3.9, то меня в принципе оно устраивает более чем. Хотя в одно время хотел снова установить быстрое ядро, но ничего не вышло, а решения я не нашел. Хотя не особо и страдаю от этого. Но если Вы найдете решение, то респект Вам!

Leave a Reply

Статьи